# Copyright 2019 Google LLC
#
# This source code is licensed under the BSD-style license found in the
# LICENSE file in the root directory of this source tree.

# ARM NEON
- name: xnn_f32_vdivc_minmax_ukernel__neon_x4
  init: xnn_init_f32_minmax_scalar_params
  arch:
    - aarch64
- name: xnn_f32_vdivc_minmax_ukernel__neon_x8
  init: xnn_init_f32_minmax_scalar_params
  arch:
    - aarch64
# x86 SSE
- name: xnn_f32_vdivc_minmax_ukernel__sse_x4
  init: xnn_init_f32_minmax_sse_params
- name: xnn_f32_vdivc_minmax_ukernel__sse_x8
  init: xnn_init_f32_minmax_sse_params
# x86 AVX
- name: xnn_f32_vdivc_minmax_ukernel__avx_x8
  init: xnn_init_f32_minmax_avx_params
- name: xnn_f32_vdivc_minmax_ukernel__avx_x16
  init: xnn_init_f32_minmax_avx_params
# x86 AVX512
- name: xnn_f32_vdivc_minmax_ukernel__avx512f_x16
  init: xnn_init_f32_minmax_scalar_params
- name: xnn_f32_vdivc_minmax_ukernel__avx512f_x32
  init: xnn_init_f32_minmax_scalar_params
# WAsm SIMD
- name: xnn_f32_vdivc_minmax_ukernel__wasmsimd_arm_x4
  init: xnn_init_f32_minmax_wasmsimd_params
- name: xnn_f32_vdivc_minmax_ukernel__wasmsimd_arm_x8
  init: xnn_init_f32_minmax_wasmsimd_params
- name: xnn_f32_vdivc_minmax_ukernel__wasmsimd_arm_x16
  init: xnn_init_f32_minmax_wasmsimd_params
- name: xnn_f32_vdivc_minmax_ukernel__wasmsimd_x86_x4
  init: xnn_init_f32_minmax_wasmsimd_params
- name: xnn_f32_vdivc_minmax_ukernel__wasmsimd_x86_x8
  init: xnn_init_f32_minmax_wasmsimd_params
- name: xnn_f32_vdivc_minmax_ukernel__wasmsimd_x86_x16
  init: xnn_init_f32_minmax_wasmsimd_params
# WAsm
- name: xnn_f32_vdivc_minmax_ukernel__wasm_x1
  init: xnn_init_f32_minmax_scalar_params
- name: xnn_f32_vdivc_minmax_ukernel__wasm_x2
  init: xnn_init_f32_minmax_scalar_params
- name: xnn_f32_vdivc_minmax_ukernel__wasm_x4
  init: xnn_init_f32_minmax_scalar_params
- name: xnn_f32_vdivc_minmax_ukernel__wasm_x8
  init: xnn_init_f32_minmax_scalar_params
# Scalar
- name: xnn_f32_vdivc_minmax_ukernel__scalar_x1
  init: xnn_init_f32_minmax_scalar_params
- name: xnn_f32_vdivc_minmax_ukernel__scalar_x2
  init: xnn_init_f32_minmax_scalar_params
- name: xnn_f32_vdivc_minmax_ukernel__scalar_x4
  init: xnn_init_f32_minmax_scalar_params
- name: xnn_f32_vdivc_minmax_ukernel__scalar_x8
  init: xnn_init_f32_minmax_scalar_params
